Subject: RE: Problem with File-Upload>20k

From: [email-masked]
Date: Sat, 2 Mar 2002 14:07:19 -0000

One thing to double-check is whether you are compiling with the correct
headers. What does 

rpm -q openssl-devel

give you? You should be able to remove the openssl-devel package if it's
installed with the usual 

rpm -e openssl-devel

It is possible that you are compiling against the older headers, whilst the
libraries used are the newer version of openssl that you've compiled.

I'll be trying this kind of installation out myself soon for Red Hat 7.2, as
the lag in versions that Red Hat provide is becoming irritating. If you are
still stuck I'll speed myself up a bit!

- 
John Airey
Internet systems support officer, ITCSD, Royal National Institute for the
Blind,
Bakewell Road, Peterborough PE2 6XU,
Tel.: +44 (0) 1733 375299 Fax: +44 (0) 1733 370848 [email-masked] 

Evolution - A crutch for scientists who can't handle the existence of the
creator. See  "disproven scientific theories" and Romans 1:22.

>-----Original Message-----
>From: Michael Metz [mailto:[email-masked]]
>Sent: 01 March 2002 17:19
>To: [email-masked]
>Subject: RE: Problem with File-Upload>20k
>
>
>Hi John,
>
>I have reinstalled openssl 0.9.6 (Sep 2000) which was shipped 
>with RedHat 
>7.1 but with no effect. I'm receiving the same error.
>apache and/or mod_ssl isn't installed via RPM (checked)
>
>I compiled apache/mod_ssl with the following arguments:
>(I'm using constants for Version-Numbers ....)
>
>cd mod_ssl-$MODSSLVERSION
>./configure --with-apache=../apache_$APACHEVERSION
>cd ../apache_$APACHEVERSION
>CFLAGS="-Wall -DSECURITY_HOLE_PASS_AUTHORIZATION"
>SSL_BASE="/usr/local/ssl/"
>export CFLAGS SSL_BASE
>./configure --with-layout=RedHat --enable-module=vhost_alias --enable-
>module=so --enable-module=rewrite --enable-module=log_referer --enable-
>module=ssl --enable-module=info --add-module=../mod_gzip.c --server-
>uid=wwwrun --server-gid=www
>
>Could there be the problem?
>
>Thanks in advance ...
>
>Bye
>  Michael
>
>Am 1 Mar 2002 14:44 schrieb [email-masked]:
>> This kind of error is often seen where there is a conflict 
>between the
>> built-in version of openssl and the version you have compiled.
>> 
>> Redhat 7.0,7.1 and 7.2 all come with openssl. Currently they are all
>> older versions than what you can compile from source, and so are the
>> version of apache and mod_ssl that they supply. 
>> 
>> Can you check what you get if you type
>> 
>> rpm -q apache
>> rpm -q mod_ssl
>> 
>> These are the built-in packages, which may also conflict 
>with what you
>> have compiled. Unlike openssl, you will be able to remove these
>> packages, although you may have to remove other packages also. In the
>> case of openssl, ensure you don't overwrite the built-in one in
>> /usr/bin. Use /usr/local/bin instead. If you have, use
>> 
>> rpm -ivh "openssl-package-name" --force
>> 
>> To forcibly reinstall the built-in package.
>> 
>> Incidentally, I'm currently writing a submission for the openssl FAQ
>> because this comes up so often.
>> 
>> - 
>> John Airey
>> Internet systems support officer, ITCSD, Royal National Institute for
>> the Blind, Bakewell Road, Peterborough PE2 6XU, Tel.: +44 (0) 1733
>> 375299 Fax: +44 (0) 1733 370848 [email-masked] 
>> 
>> Evolution - A crutch for scientists who can't handle the existence of
>> the creator. See  "disproven scientific theories" and Romans 1:22.
>> 
>> 
>> >-----Original Message-----
>> >From: Michael Metz [mailto:[email-masked]]
>> >Sent: 01 March 2002 13:21
>> >To: [email-masked]
>> >Subject: Problem with File-Upload>20k
>> >
>> >
>> >Hi there,
>> >
>> >i'm running a SSL enabled WebServer since nearly 1 month. Today I
>> >wanted to make an http-file-upload (~20k) an received the following
>> >error in my error_log: [Fri Mar  1 11:26:41 2002] [error] mod_ssl:
>> >SSL error on reading data (OpenSSL library error follows) 
>[Fri Mar  1
>> >11:26:41 2002] [error] OpenSSL: error:1408F10B:SSL
>> >routines:SSL3_GET_RECORD:wrong version number
>> >
>> >After that I updated my openssl-Version (which was from Dec 2000) to
>> >the current release "OpenSSL 0.9.6c [engine] 21 dec 2001" and
>> >recompiled my apache 1.3.23 mit mod_ssl 2.8.7-1.3.23. With no other
>> >result. Normal connections seem to work fine (Opera says "High
>> >Encryption TLS v1.0 128 bit C4 (1024 bit RSA/SHA) but File-Uploads
>> >fail when they are larger than about 20k. Smaller files work fine
>> >.... I'm running on RedHat 7.1
>> >
>> >Can anyone give me a solution for this problem?
>> >
>> >MfG
>> > Michael
>> >
>> 
>>_____________________________________________________________________
>> >_ Apache Interface to OpenSSL (mod_ssl)                  
>> >www.modssl.org User Support Mailing List                     
>> >[email-masked] Automated List Manager              
>         
>> >    [email-masked]
>> >
>> 
>> - 
>> 
>> NOTICE: The information contained in this email and any 
>attachments is
>> confidential and may be legally privileged. If you are not the
>> intended recipient you are hereby notified that you must not use,
>> disclose, distribute, copy, print or rely on this email's content. If
>> you are not the intended recipient, please notify the sender
>> immediately and then delete the email and any attachments from your
>> system.
>> 
>> RNIB has made strenuous efforts to ensure that emails and any 
>> attachments generated by its staff are free from viruses. However, it
>> cannot accept any responsibility for any viruses which are
>> transmitted. We therefore recommend you scan all attachments.
>> 
>> Please note that the statements and views expressed in this email and
>> any attachments are those of the author and do not necessarily
>> represent those of RNIB.
>> 
>> RNIB Registered Charity Number: 226227
>> 
>> Website: http://www.rnib.org.uk 
>> 
>> 14th June 2002 is RNIB Look Loud Day - visit
>> http://www.lookloud.org.uk to find out all about it.
>> 
>> 
>______________________________________________________________________
>> Apache Interface to OpenSSL (mod_ssl)                   
>www.modssl.org
>> User Support Mailing List                     
> [email-masked]
>> Automated List Manager                            
>[email-masked]
>
>______________________________________________________________________
>Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
>User Support Mailing List                      [email-masked]
>Automated List Manager                            [email-masked]
>

- 

NOTICE: The information contained in this email and any attachments is 
confidential and may be legally privileged. If you are not the 
intended recipient you are hereby notified that you must not use, 
disclose, distribute, copy, print or rely on this email's content. If 
you are not the intended recipient, please notify the sender 
immediately and then delete the email and any attachments from your 
system.

RNIB has made strenuous efforts to ensure that emails and any 
attachments generated by its staff are free from viruses. However, it 
cannot accept any responsibility for any viruses which are 
transmitted. We therefore recommend you scan all attachments.

Please note that the statements and views expressed in this email 
and any attachments are those of the author and do not necessarily 
represent those of RNIB.

RNIB Registered Charity Number: 226227

Website: http://www.rnib.org.uk 

14th June 2002 is RNIB Look Loud Day - visit http://www.lookloud.org.uk to
find out all about it.

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: "Michael Metz" <[email-masked]>
Date: Sat, 2 Mar 2002 18:10:29 +0100

Hi John,

still the same error .... I've removed openssl-devel and compiled 
apache+mod_ssl again but nothing changed ....

Am 2 Mar 2002 14:07 schrieb [email-masked]:

> One thing to double-check is whether you are compiling with the
> correct headers. What does 
> 
> rpm -q openssl-devel
> 
> give you? You should be able to remove the openssl-devel package if
> it's installed with the usual 
> 
> rpm -e openssl-devel
> 
> It is possible that you are compiling against the older headers,
> whilst the libraries used are the newer version of openssl that you've
> compiled.
> 
> I'll be trying this kind of installation out myself soon for Red Hat
> 7.2, as the lag in versions that Red Hat provide is becoming
> irritating. If you are still stuck I'll speed myself up a bit!
> 
> - 
> John Airey
> >./configure --with-layout=RedHat --enable-module=vhost_alias
> >--enable- module=so --enable-module=rewrite
> >--enable-module=log_referer --enable- module=ssl --enable-module=info
> >--add-module=../mod_gzip.c --server- uid=wwwrun --server-gid=www
> >
> >> Redhat 7.0,7.1 and 7.2 all come with openssl. Currently they are
> >> all older versions than what you can compile from source, and so
> >> are the version of apache and mod_ssl that they supply. 
> >> 
> >> packages, although you may have to remove other packages also. In
> >> the case of openssl, ensure you don't overwrite the built-in one in
> >> Incidentally, I'm currently writing a submission for the openssl
> >> FAQ because this comes up so often.
> >> 
> >> - 
> >> John Airey
> >> Internet systems support officer, ITCSD, Royal National Institute
> >> for the Blind, Bakewell Road, Peterborough PE2 6XU, Tel.: +44 (0)
> >> 1733 375299 Fax: +44 (0) 1733 370848 [email-masked] 
> >> 
> >> Evolution - A crutch for scientists who can't handle the existence
> >> of the creator. See  "disproven scientific theories" and Romans
> >> 1:22.
> >> 
> >> 
> >> >wanted to make an http-file-upload (~20k) an received the
> >> >following error in my error_log: [Fri Mar  1 11:26:41 2002]
> >> >[error] mod_ssl: SSL error on reading data (OpenSSL library error
> >> >follows) 
> >[Fri Mar  1
> >> >After that I updated my openssl-Version (which was from Dec 2000)
> >> >to the current release "OpenSSL 0.9.6c [engine] 21 dec 2001" and
> >> >recompiled my apache 1.3.23 mit mod_ssl 2.8.7-1.3.23. With no
> >> >other result. Normal connections seem to work fine (Opera says
> >> >"High Encryption TLS v1.0 128 bit C4 (1024 bit RSA/SHA) but
> >> >File-Uploads fail when they are larger than about 20k. Smaller
> >> >files work fine .... I'm running on RedHat 7.1
> >> >
> >> disclose, distribute, copy, print or rely on this email's content.
> >> If you are not the intended recipient, please notify the sender
> >> attachments generated by its staff are free from viruses. However,
> >> it cannot accept any responsibility for any viruses which are

MfG
 Michael